package org.eclipse.cosmos.rm.smlif.internal.content;

import junit.framework.Test;

import org.eclipse.cosmos.rm.validation.internal.common.ISMLConstants;
import org.eclipse.hyades.test.common.junit.DefaultTestArbiter;
import org.eclipse.hyades.test.common.junit.HyadesTestSuite;

/**
 * Generated code for the test suite <b>TestPhenicContentDesciber</b> located at
 * <i>/org.eclipse.cosmos.rm.smlif.tests/plugin-junits/TestPhenicContentDesciber.testsuite</i>.
 */
public class TestPhenicContentDesciber extends TestGenicContentDescriber
{
	/**
	 * Constructor for TestPhenicContentDesciber.
	 * @param name
	 */
	public TestPhenicContentDesciber(String name)
	{
		super(name);
	}

	/**
	 * Returns the JUnit test suite that implements the <b>TestPhenicContentDesciber</b> definition.
	 */
	public static Test suite()
	{
		HyadesTestSuite testPhenicContentDesciber = new HyadesTestSuite("TestPhenicContentDesciber");
		testPhenicContentDesciber.setArbiter(DefaultTestArbiter.INSTANCE).setId("E75EA7EB7475F1DAC813CA70A28211DB");
		testPhenicContentDesciber.addTest(new TestPhenicContentDesciber("testPhenicDocumentTypes").setId("E75EA7EB7475F1DAC9B4F750A28211DB").setTestInvocationId("E75EA7EB7475F1DACF3AD870A28211DB"));
		return testPhenicContentDesciber;
	}

	/**
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() throws Exception
	{
	}

	/**
	 * @see junit.framework.TestCase#tearDown()
	 */
	protected void tearDown() throws Exception
	{
	}

	/**
	 * testPhenicDocumentTypes
	 * Requires TestSMLSample to be under the context workbench
	 * @throws Exception
	 */
	public void testPhenicDocumentTypes() throws Exception
	{
		checkTypes(new String[]{
				"/TestSMLSample/acyclic/InValidCycles/course1.xml",
				"/TestSMLSample/acyclic/ValidCycles1/course1.xml",
				"/TestSMLSample/acyclic/ValidCycles2/course1.xml",				
				"/TestSMLSample/acyclic/Other/course1",
				}, ISMLConstants.TYPE_PHENIC);
	}

}
