/**********************************************************************
 * Copyright (c) 2007 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.cosmos.rm.smlif.internal.editor;

/**
 * Thrown when there is an error in saving changes to the underlying model
 * representing the SML-IF document.
 * 
 * @author Ali Mehregani
 */
public class SaveException extends Exception
{
	/**
	 * Serial version UID
	 */
	private static final long serialVersionUID = 5403014499776045408L;

	public SaveException (String message)
	{
		super(message);
	}
}
