package org.eclipse.cosmos.rm.validation.internal.common;

import junit.framework.Test;

import org.eclipse.hyades.test.common.junit.DefaultTestArbiter;
import org.eclipse.hyades.test.common.junit.HyadesTestCase;
import org.eclipse.hyades.test.common.junit.HyadesTestSuite;
import org.eclipse.cosmos.rm.validation.internal.core.TestPluginDatastructureBuilder;
import org.eclipse.cosmos.rm.validation.internal.core.TestPluginMainValidator;

/**
 * Generated code for the test suite <b>AllPluginJunitTests</b> located at
 * <i>/org.eclipse.cosmos.rm.validation.tests/plugin-junits/AllPluginJunitTests.testsuite</i>.
 */
public class AllPluginJunitTests extends HyadesTestCase
{
	/**
	 * Constructor for AllPluginJunitTests.
	 * @param name
	 */
	public AllPluginJunitTests(String name)
	{
		super(name);
	}

	/**
	 * Returns the JUnit test suite that implements the <b>AllPluginJunitTests</b> definition.
	 */
	public static Test suite()
	{
		HyadesTestSuite allPluginJunitTests = new HyadesTestSuite("AllPluginJunitTests");
		allPluginJunitTests.setArbiter(DefaultTestArbiter.INSTANCE).setId("C205F1E79253A3D1AA4AD6809CD511DB");
		allPluginJunitTests.addTest(((HyadesTestSuite) TestFileOutput.suite()).setTestInvocationId("C205F1E79253A3D1B28D8DB99CD511DB"));
		allPluginJunitTests.addTest(((HyadesTestSuite) TestMarkerOutput.suite()).setTestInvocationId("C205F1E79253A3D1B294B9A99CD511DB"));
		allPluginJunitTests.addTest(((HyadesTestSuite) TestPluginDatastructureBuilder.suite()).setTestInvocationId("C205F1E79253A3D1B29974A39CD511DB"));
		allPluginJunitTests.addTest(((HyadesTestSuite) TestPluginMainValidator.suite()).setTestInvocationId("C205F1E79253A3D1D1DBA8D59F5211DB"));
		return allPluginJunitTests;
	}

	/**
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() throws Exception
	{
	}

	/**
	 * @see junit.framework.TestCase#tearDown()
	 */
	protected void tearDown() throws Exception
	{
	}

}
